tidy.power.htest {broom} | R Documentation

## tidy a power.htest

### Description

tidy a power.htest

### Usage

    ## S3 method for class 'power.htest'
    tidy(x, ...)

### Arguments

`x` | a power.htest object
`...` | extra arguments, not used

### Value

A data frame with one row per parameter passed in, with columns `n`, `delta`, `sd`, `sig.level`, and `power` (from the `power.htest` object).

### See Also

power.t.test

### Examples

    ptt <- power.t.test(n = 2:30, delta = 1)
    tidy(ptt)

    library(ggplot2)
    ggplot(tidy(ptt), aes(n, power)) + geom_line()

[Package broom version 0.4.1 Index]